/* MTH02 library
*/

#if ARDUINO >= 100
#include "Arduino.h"
#else
#include "WProgram.h"
#endif

// Uncomment to enable printing out nice debug messages.
//#define MTH_DEBUG

// Define where debug output will be printed.
#define DEBUG_PRINTER Serial

// Setup debug printing macros.
#ifdef MTH_DEBUG
#define DEBUG_PRINT(...) { DEBUG_PRINTER.print(__VA_ARGS__); }
#define DEBUG_PRINTLN(...) { DEBUG_PRINTER.println(__VA_ARGS__); }
#else
#define DEBUG_PRINT(...) {}
#define DEBUG_PRINTLN(...) {}
#endif


class MTH {
public:
	MTH(byte pin);
	float readTemperature(bool S = false);//S - True == Fahrenheit; False == Celcius
	float convertCtoF(float);	
	float readHumidity();
	boolean getDataBits();
	void begin();

private:
	byte data[5];
	byte _pin;
	int _lastreadtime;
	bool _lastresult;
};
